PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER AGGREGATE

## Name

ALTER AGGREGATE -- change the definition of an aggregate function

## Synopsis

    ALTER AGGREGATE name ( type ) RENAME TO newname

## Description

`ALTER AGGREGATE` changes the definition of an aggregate function. The only currently available functionality is to rename the aggregate function.

## Parameters

name

  The name (optionally schema-qualified) of an existing aggregate function.

type

  The argument data type of the aggregate function, or * if the function accepts any data type.

newname

  The new name of the aggregate function.

## Examples

To rename the aggregate function myavg for type `integer` to my_average:

    ALTER AGGREGATE myavg(integer) RENAME TO my_average;

## Compatibility

There is no `ALTER AGGREGATE` statement in the SQL standard.

## See Also

CREATE AGGREGATE, DROP AGGREGATE

Prev | Home | Next
ABORT | Up | ALTER CONVERSION